(* toplevel:
#load "utils.cmo";;
#load "graph2d.cmo";;
*)

open Graph2d;;

let xa, ya = Graph2d.pt_list_to_flt_arrays 
    (Graph2d.graph_data_adaptive sin {a=0.0; b=6.30} 15 0.01 0.1) 
in 
Graph2d.draw_graph xa ya {x = 400.0; y=200.0 } {x=100.0; y = 100.0} ;
ptext "Simple sine curve." 250 85
;;

let x = Utils.linspace (-3.0) 3.0 20 and 
    f x = x**2.0 in 
let y = Array.map f x 
in 
Graph2d.draw_graph x y {x = 400.0; y=200.0 } {x=100.0; y = 350.0} ;
ptext "Parabola." 250 335
;;

Tk.mainLoop ();;

